# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
# SPDX-License-Identifier: BSD-2-Clause

[package]
name = "timelimit-cli"
version = { workspace = true }
rust-version = { workspace = true }
edition = { workspace = true }
authors = { workspace = true }
description = "Limit a process's absolute execution time - CLI tool"
license-file = { workspace = true }
readme = "README.md"
repository = { workspace = true }
homepage = { workspace = true }
keywords = ["process", "limit", "time", "timeout"]
categories = ["command-line-utilities"]

[dependencies]
anyhow = { workspace = true }
clap = { workspace = true }
clap_derive = { workspace = true }
itertools = { workspace = true }
log = { workspace = true }
roundlet = { workspace = true, features = ["cli-basic-clap"] }
simple_logger = { workspace = true, features = ["stderr"] }
smol = { workspace = true }
sysexits = { workspace = true }
timelimit = { workspace = true }

[dev-dependencies]
roundlet = { workspace = true, features = ["test-exe-path"] }
